/*
*/

const resolve = require('rollup-plugin-node-resolve');
const sourcemaps = require('rollup-plugin-sourcemaps');

const globals = {
  '@angular/core': 'ng.core',
  '@angular/compiler': 'ng.compiler',
  '@angular/platform-browser': 'ng.platformBrowser',
  'rxjs': 'rxjs'
};

module.exports = {
  entry: '../../dist/packages-dist/header/fesm5/header.js',
  dest: '../../dist/packages-dist/header/bundles/header.umd.js',
  format: 'umd',
  exports: 'named',
  amd: {id: '@angular/header'},
  moduleName: 'ng.header',
  plugins: [resolve(), sourcemaps()],
  external: Object.keys(globals),
  globals: globals
};